require 'redmine'

require_dependency 'like_hook'

RAILS_DEFAULT_LOGGER.info 'Starting Like Plugin for Redmine'

Redmine::Plugin.register :like_plugin do
    name 'Facebook Like button'
    author 'Andriy Lesyuk'
    author_url 'http://www.facebook.com/andriy.lesyuk'
    description 'Adds Facebook Like button to projects.'
    url 'http://labs.softjourn.com/projects/redmine-like'
    version '0.0.2'

    settings :default => {
        :location    => 'sidebar',
        :show_faces  => 0,
        :width       => 150,
        :action      => 'like',
        :colorscheme => 'light'
    }, :partial => 'settings/like'
end
